"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const bundler_1 = require("@remotion/bundler");
const log_1 = require("../utils/log");
const defaultPaths_1 = require("../config/defaultPaths");
class BundleVideoService {
    async execute() {
        log_1.log(`Bundling video`, 'BundleVideoService');
        const bundled = await bundler_1.bundle(require.resolve(path_1.default.resolve(await defaultPaths_1.getPath('remotion'), 'src', 'index.js')));
        return bundled;
    }
}
exports.default = BundleVideoService;
