import InterfaceJsonContent from '../models/InterfaceJsonContent';
export default class RetrieveAudioDataService {
    private transitionDurationInSeconds;
    private content;
    constructor(content: InterfaceJsonContent);
    execute(audioDataIsInContent: boolean, options: {
        haveIntro?: boolean;
        haveEnd?: boolean;
    }): Promise<void>;
    private retrieveAudioData;
    private getDuration;
    private setFullDuration;
}
